package entity;

/**
 * Trida reprezentuje jeden radek dat v souboru pro davkove zpracovani.
 */
public class RadekDatDavka {
    private String seed;
    private String polynom;
    private int pocetVektoru;

    public int getPocetVektoru() {
        return pocetVektoru;
    }

    public String getPolynom() {
        return polynom;
    }

    public String getSeed() {
        return seed;
    }

    public RadekDatDavka(String seed, String polynom, int pocetVektoru) {
        this.seed = seed;
        this.polynom = polynom;
        this.pocetVektoru = pocetVektoru;
    }

    @Override
    public String toString() {
        return seed + " " + polynom + " " + pocetVektoru;
    }

}
