package DipGUI;

import java.io.IOException;

/**
 * Sablona je graficky prvek, ktery slouzi vicero algoritmum.
 * Pomoci tlacitek jsou volany prislusne akce.
 * 
 * @deprecated
 */
@Deprecated
public class SablonaGUIalg extends javax.swing.JPanel {

//    private int pocetCyklu = 0;
//    private int pocetVektoru = 0;
//    AlgWrapper wrapper = new AlgWrapper();
//
//    public SablonaGUIalg() {
//        initComponents();
//        try {
//            aktualizujHodnoty();
//            String pocatecniSeed =
//                        DipUtils.nactiRadekDat(DipUtils.getProperties().getProperty("soubor.atalanta.pat"));
//            seedField.setText(pocatecniSeed);
//            polynomField.setText(DipUtils.getProperties().getProperty("polynom"));
//            detekPoruchField.setText(DipUtils.getPocetDetekovatPoruch());
//        } catch (Exception ex) {
//            Logger.getLogger(SablonaGUIalg.class.getName()).log(Level.SEVERE, null, ex);
//        }
//
//    }

    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        sablonaPanel = new javax.swing.JPanel();
        polynomLabel = new javax.swing.JLabel();
        polynomField = new javax.swing.JTextField();
        seedLabel = new javax.swing.JLabel();
        seedField = new javax.swing.JTextField();
        generujPolynomButton = new javax.swing.JButton();
        generujSeedButton = new javax.swing.JButton();
        dalsiParametryPanel = new javax.swing.JPanel();
        pocetVektoruCykluLabel = new javax.swing.JLabel();
        pocetVektoruField = new javax.swing.JTextField();
        oznaceniObvoduLabel = new javax.swing.JLabel();
        oznaceniObvoduField = new javax.swing.JTextField();
        benchSouborLabel = new javax.swing.JLabel();
        benchSouborField = new javax.swing.JTextField();
        souborTestSekvLabel = new javax.swing.JLabel();
        vystupSouborField = new javax.swing.JTextField();
        spustitAtalantuLabel = new javax.swing.JLabel();
        spustitAtalantuCheckBox = new javax.swing.JCheckBox();
        reloadButton = new javax.swing.JButton();
        souborNedetPoruchyLabel = new javax.swing.JLabel();
        souborNedetPoruchyField = new javax.swing.JTextField();
        spustButton = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        atalanatArea = new javax.swing.JTextArea();
        cyklyVektoryLabel = new javax.swing.JLabel();
        cyklyVektoryField = new javax.swing.JTextField();
        generujButton = new javax.swing.JButton();
        detekPoruchLabel = new javax.swing.JLabel();
        detekPoruchField = new javax.swing.JTextField();

        polynomLabel.setFont(new java.awt.Font("Tahoma", 1, 11));
        polynomLabel.setText("Polynom:");

        polynomField.setEditable(false);

        seedLabel.setFont(new java.awt.Font("Tahoma", 1, 11));
        seedLabel.setText("Seed:");

        seedField.setEditable(false);

        generujPolynomButton.setFont(new java.awt.Font("Tahoma", 0, 8));
        generujPolynomButton.setText("G");
        generujPolynomButton.setIconTextGap(2);
        generujPolynomButton.setMargin(new java.awt.Insets(1, 3, 1, 3));
        generujPolynomButton.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                generujPolynomAction(evt);
            }
        });

        generujSeedButton.setFont(new java.awt.Font("Tahoma", 0, 8));
        generujSeedButton.setText("G");
        generujSeedButton.setIconTextGap(2);
        generujSeedButton.setMargin(new java.awt.Insets(1, 3, 1, 3));
        generujSeedButton.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                generujSeedAction(evt);
            }
        });

        dalsiParametryPanel.setBorder(javax.swing.BorderFactory.createTitledBorder("Další parametry algoritmu"));

        pocetVektoruCykluLabel.setFont(new java.awt.Font("Tahoma", 1, 11));
        pocetVektoruCykluLabel.setText("Počet vektorů cyklu:");

        java.util.ResourceBundle bundle = java.util.ResourceBundle.getBundle("main/diplomka"); // NOI18N
        pocetVektoruField.setText(bundle.getString("maximalni.pocet.vektoru")); // NOI18N
        pocetVektoruField.setEnabled(false);

        oznaceniObvoduLabel.setFont(new java.awt.Font("Tahoma", 1, 11));
        oznaceniObvoduLabel.setText("Označení obvodu:");

        oznaceniObvoduField.setText(bundle.getString("oznaceni.obvodu")); // NOI18N
        oznaceniObvoduField.setEnabled(false);

        benchSouborLabel.setFont(new java.awt.Font("Tahoma", 1, 11));
        benchSouborLabel.setText("Bench soubor:");

        benchSouborField.setText(bundle.getString("soubor.bench")); // NOI18N
        benchSouborField.setEnabled(false);

        souborTestSekvLabel.setFont(new java.awt.Font("Tahoma", 1, 11));
        souborTestSekvLabel.setText("Soubor test. sekv.:");

        vystupSouborField.setText(bundle.getString("soubor.atalanta.pat")); // NOI18N
        vystupSouborField.setEnabled(false);

        spustitAtalantuLabel.setFont(new java.awt.Font("Tahoma", 1, 11));
        spustitAtalantuLabel.setText("Spustit Atalantu:");

        spustitAtalantuCheckBox.setSelected(true);

        reloadButton.setFont(new java.awt.Font("Tahoma", 1, 11));
        reloadButton.setText("Reload konfig. soubor");
        reloadButton.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                reloadPropertyAction(evt);
            }
        });

        souborNedetPoruchyLabel.setFont(new java.awt.Font("Tahoma", 1, 11));
        souborNedetPoruchyLabel.setText("Soubor nedet. poruchy:");

        souborNedetPoruchyField.setText(bundle.getString("soubor.pro.vystup.nedetek.poruchy")); // NOI18N
        souborNedetPoruchyField.setEnabled(false);

        spustButton.setFont(new java.awt.Font("Tahoma", 1, 11));
        spustButton.setText("RUN");
        spustButton.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                spustAlgoritmusAction(evt);
            }
        });

        atalanatArea.setColumns(20);
        atalanatArea.setFont(new java.awt.Font("Tahoma", 0, 12));
        atalanatArea.setRows(5);
        atalanatArea.setEnabled(false);
        jScrollPane1.setViewportView(atalanatArea);

        cyklyVektoryLabel.setFont(new java.awt.Font("Tahoma", 1, 11));
        cyklyVektoryLabel.setText("#cyklů / #vektorů:");

        cyklyVektoryField.setEditable(false);
        cyklyVektoryField.setText(bundle.getString("soubor.pro.vystup.nedetek.poruchy")); // NOI18N
        cyklyVektoryField.setEnabled(false);

        generujButton.setFont(new java.awt.Font("Tahoma", 1, 11));
        generujButton.setText("Generuj");
        generujButton.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                generujTestVektory(evt);
            }
        });

        detekPoruchLabel.setFont(new java.awt.Font("Tahoma", 1, 11));
        detekPoruchLabel.setText("#detek. poruch:");

        detekPoruchField.setEditable(false);
        detekPoruchField.setEnabled(false);

        javax.swing.GroupLayout dalsiParametryPanelLayout = new javax.swing.GroupLayout(dalsiParametryPanel);
        dalsiParametryPanel.setLayout(dalsiParametryPanelLayout);
        dalsiParametryPanelLayout.setHorizontalGroup(
            dalsiParametryPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(dalsiParametryPanelLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(dalsiParametryPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(pocetVektoruCykluLabel)
                    .addComponent(oznaceniObvoduLabel)
                    .addComponent(benchSouborLabel)
                    .addComponent(souborTestSekvLabel)
                    .addComponent(souborNedetPoruchyLabel)
                    .addComponent(spustitAtalantuLabel)
                    .addComponent(cyklyVektoryLabel))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(dalsiParametryPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(pocetVektoruField)
                    .addComponent(oznaceniObvoduField, javax.swing.GroupLayout.DEFAULT_SIZE, 69, Short.MAX_VALUE)
                    .addComponent(souborNedetPoruchyField, 0, 0, Short.MAX_VALUE)
                    .addComponent(benchSouborField)
                    .addComponent(vystupSouborField, javax.swing.GroupLayout.DEFAULT_SIZE, 283, Short.MAX_VALUE)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, dalsiParametryPanelLayout.createSequentialGroup()
                        .addGroup(dalsiParametryPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(spustitAtalantuCheckBox)
                            .addComponent(cyklyVektoryField, javax.swing.GroupLayout.PREFERRED_SIZE, 90, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 57, Short.MAX_VALUE)
                        .addGroup(dalsiParametryPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addGroup(dalsiParametryPanelLayout.createSequentialGroup()
                                .addComponent(detekPoruchLabel)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addComponent(detekPoruchField))
                            .addComponent(reloadButton))))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(dalsiParametryPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(dalsiParametryPanelLayout.createSequentialGroup()
                        .addComponent(generujButton)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 70, Short.MAX_VALUE)
                        .addComponent(spustButton))
                    .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 206, Short.MAX_VALUE))
                .addContainerGap())
        );
        dalsiParametryPanelLayout.setVerticalGroup(
            dalsiParametryPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(dalsiParametryPanelLayout.createSequentialGroup()
                .addGroup(dalsiParametryPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(dalsiParametryPanelLayout.createSequentialGroup()
                        .addGroup(dalsiParametryPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(pocetVektoruCykluLabel)
                            .addComponent(pocetVektoruField, javax.swing.GroupLayout.PREFERRED_SIZE, 17, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(dalsiParametryPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(oznaceniObvoduLabel)
                            .addComponent(oznaceniObvoduField, javax.swing.GroupLayout.PREFERRED_SIZE, 17, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(dalsiParametryPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(benchSouborLabel)
                            .addComponent(benchSouborField, javax.swing.GroupLayout.PREFERRED_SIZE, 17, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(dalsiParametryPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(vystupSouborField, javax.swing.GroupLayout.PREFERRED_SIZE, 17, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(souborTestSekvLabel))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(dalsiParametryPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(souborNedetPoruchyLabel)
                            .addComponent(souborNedetPoruchyField, javax.swing.GroupLayout.PREFERRED_SIZE, 17, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(dalsiParametryPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(cyklyVektoryLabel)
                            .addComponent(cyklyVektoryField, javax.swing.GroupLayout.PREFERRED_SIZE, 17, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(detekPoruchLabel)
                            .addComponent(detekPoruchField, javax.swing.GroupLayout.PREFERRED_SIZE, 17, javax.swing.GroupLayout.PREFERRED_SIZE)))
                    .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 158, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(dalsiParametryPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(spustitAtalantuLabel)
                    .addComponent(spustitAtalantuCheckBox)
                    .addGroup(dalsiParametryPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(reloadButton)
                        .addComponent(spustButton)
                        .addComponent(generujButton)))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        javax.swing.GroupLayout sablonaPanelLayout = new javax.swing.GroupLayout(sablonaPanel);
        sablonaPanel.setLayout(sablonaPanelLayout);
        sablonaPanelLayout.setHorizontalGroup(
            sablonaPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, sablonaPanelLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(sablonaPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(dalsiParametryPanel, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addGroup(sablonaPanelLayout.createSequentialGroup()
                        .addGroup(sablonaPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(polynomLabel)
                            .addComponent(seedLabel))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(sablonaPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(seedField, javax.swing.GroupLayout.DEFAULT_SIZE, 590, Short.MAX_VALUE)
                            .addComponent(polynomField, javax.swing.GroupLayout.DEFAULT_SIZE, 590, Short.MAX_VALUE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addGroup(sablonaPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(generujSeedButton, javax.swing.GroupLayout.PREFERRED_SIZE, 27, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(generujPolynomButton, javax.swing.GroupLayout.PREFERRED_SIZE, 27, javax.swing.GroupLayout.PREFERRED_SIZE))))
                .addContainerGap())
        );
        sablonaPanelLayout.setVerticalGroup(
            sablonaPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(sablonaPanelLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(sablonaPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(polynomLabel)
                    .addComponent(polynomField, javax.swing.GroupLayout.PREFERRED_SIZE, 19, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(generujPolynomButton))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(sablonaPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(seedLabel)
                    .addComponent(seedField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(generujSeedButton))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(dalsiParametryPanel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(sablonaPanel, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(sablonaPanel, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );
    }// </editor-fold>//GEN-END:initComponents

    /**
     * Akce navazana na kliknuti na tlacitko. Opet se nactou (a pripadne) aktualizuji
     * property a nastavi se hodnoty do prislusnych okenek GUI.
     *
     * @param evt
     */
    private void reloadPropertyAction(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_reloadPropertyAction
//        try {
//            aktualizujHodnoty();
//        } catch (Exception ex) {
//            Logger.getLogger(SablonaGUIalg.class.getName()).log(Level.SEVERE, null, ex);
//        }
    }//GEN-LAST:event_reloadPropertyAction

    /**
     * Akce navazana na tlacitko G. Vygeneruje se polynom dle pravidel LZPR a je
     * vyplnen do prislusneho policka.
     *
     * @param evt
     */
    private void generujPolynomAction(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_generujPolynomAction
//        try {
//            String polynText = DipUtils.generujPolynom(Integer.valueOf(DipUtils.getProperties().getProperty("stupen.polynomu")));
//            polynomField.setText(polynText);
//            if (getParent().getName().equalsIgnoreCase("reseedingPanel1")) {
//                generujPolynomButton.setEnabled(false);
//            }
//        } catch (Exception ex) {
//            Logger.getLogger(SablonaGUIalg.class.getName()).log(Level.SEVERE, null, ex);
//        }
    }//GEN-LAST:event_generujPolynomAction

    /**
     * Akce navazana na druhe tlacitko G. Vygeneruje se pocatecni seed a je vyplnen do
     * prislusneho policka.
     *
     * @param evt
     */
    private void generujSeedAction(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_generujSeedAction
//        if (this.getParent().getName().equalsIgnoreCase("foldingCounterPanel")) {
//            seedField.setText(wrapper.getNtySeedZMnoziny(pocetCyklu));
//        } else {
//            try {
//                String seedText = DipUtils.generujSeed(Integer.valueOf(DipUtils.getProperties().getProperty("stupen.polynomu")));
//                seedField.setText(seedText);
//                if (getParent().getName().equalsIgnoreCase("reseedingPanel1")) {
//                    generujSeedButton.setEnabled(false);
//                }
//            } catch (Exception ex) {
//                Logger.getLogger(SablonaGUIalg.class.getName()).log(Level.SEVERE, null, ex);
//            }
//        }
    }//GEN-LAST:event_generujSeedAction

    /**
     * Akce navazana na tlacitko RUN. Spousti jednotlive algoritmy.
     *
     * @param evt
     */
    private void spustAlgoritmusAction(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_spustAlgoritmusAction
        //spustButton.setEnabled(false);
//        pocetCyklu ++;
//        pocetVektoru += Integer.valueOf(DipUtils.getProperties().getProperty("maximalni.pocet.vektoru"));
//        cyklyVektoryField.setText(pocetCyklu + " / " + pocetVektoru);
//
//        try {
//            /**
//             * Spousti se algoritmus zakladniho LZPR.
//             */
//            if (this.getParent().getName().equalsIgnoreCase("lzprPanel")) {
//                wrapper.spustLZPRAlgoritmus(polynomField.getText(), seedField.getText(),
//                    vystupSouborField.getText(), oznaceniObvoduField.getText(),
//                    spustitAtalantuCheckBox.isSelected() );
//                Thread.sleep(500);
//                zobrazVysledky();
//            }
//            /**
//             * Spousti se algorimus jednopolynomialniho reseedingu.
//             */
//            else if (this.getParent().getName().equalsIgnoreCase("reseedingPanelJedenPol")) {
//                wrapper.spustReseedingJednoPol(polynomField.getText(), seedField.getText(),
//                        vystupSouborField.getText(), oznaceniObvoduField.getText(),
//                        spustitAtalantuCheckBox.isSelected() );
//                Thread.sleep(500);
//                String vektorProzbyvajiciPoruchy =
//                        DipUtils.nactiRadekDat(DipUtils.getProperties().getProperty("soubor.nedetekovane.poruchy"));
//                if (vektorProzbyvajiciPoruchy == null && pocetCyklu > 1) {
//                    DipUtils.getLogAplikace().add(DipUtils.getProperties().getProperty("vsechny.detekovatelne.poruchy.info"));
//                    //zobrazInfoHlasky();
//                } else {
//                    seedField.setText(vektorProzbyvajiciPoruchy);
//                }
//                Thread.sleep(500);
//                zobrazVysledky();
//            }
//            /**
//             * Spusti se algoritmus folding counter.
//             */
//            else if (this.getParent().getName().equalsIgnoreCase("foldingCounterPanel")) {
//                wrapper.spustAlgFoldingCounterMinSeedu(polynomField.getText(), vystupSouborField.getText(),
//                        pocetCyklu, oznaceniObvoduField.getText(), true);
//                seedField.setText(wrapper.getNtySeedZMnoziny(pocetCyklu));
////                if (pocetCyklu < 1) {
////                    DipUtils.vyprazdniSoubor(vystupSouborField.getText());
////                }
//                Thread.sleep(500);
//                zobrazVysledky();
//            }
//        } catch (Exception ex) {
//            Logger.getLogger(SablonaGUIalg.class.getName()).log(Level.SEVERE, null, ex);
//        }
    }//GEN-LAST:event_spustAlgoritmusAction

    private void generujTestVektory(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_generujTestVektory
//        try {
//            DipUtils.spustExternal(oznaceniObvoduField.getText(),
//                    DipUtils.getProperties().getProperty("generuj.testovaci.vektory.bat"));
//            DipUtils.nactiVysledkyAtalanty(true);
//        } catch (Exception ex) {
//            Logger.getLogger(SablonaGUIalg.class.getName()).log(Level.SEVERE, null, ex);
//        }
//        DipUtils.getProperties().setProperty("detekovatelnych.poruch", DipUtils.getPocetDetekovatPoruch());
//        detekPoruchField.setText(DipUtils.getProperties().getProperty("detekovatelnych.poruch"));
    }//GEN-LAST:event_generujTestVektory

    @Deprecated
    private void zobrazInfoHlasky() {
        InfoGUI dialog = new InfoGUI(new javax.swing.JFrame(), true);
        dialog.addWindowListener(new java.awt.event.WindowAdapter() {

            @Override
            public void windowClosing(java.awt.event.WindowEvent e) {
                
            }
        });
        dialog.setVisible(true);
    }

    /**
     * Metoda aktualizuje hodnoty v polickach.
     *
     * @throws Exception
     */
    public void aktualizujHodnoty() throws Exception {
//        DipUtils.nactiProperties();
//        pocetVektoruField.setText(DipUtils.getProperties().getProperty("maximalni.pocet.vektoru"));
//        oznaceniObvoduField.setText(DipUtils.getProperties().getProperty("oznaceni.obvodu"));
//        benchSouborField.setText(DipUtils.getProperties().getProperty("soubor.bench"));
//        vystupSouborField.setText(DipUtils.getProperties().getProperty("soubor.atalanta.pat"));
//        souborNedetPoruchyField.setText(DipUtils.getProperties().getProperty("soubor.nedetekovane.poruchy"));
//        if (pocetCyklu < 1) {
//            polynomField.setText(DipUtils.getProperties().getProperty("polynom"));
//            seedField.setText(DipUtils.getProperties().getProperty("seed"));
//        }
//        detekPoruchField.setText(DipUtils.getPocetDetekovatPoruch());
    }

    /**
     * Metoda zobrazi v GUI vysledky Atalanty.
     *
     * @throws IOException
     */
    private void zobrazVysledky() throws IOException {
//        atalanatArea.setText("");
//        List<String> vysledkyAtalanty = DipUtils.nactiVysledkyAtalanty(false);
//        for (String vysledek : vysledkyAtalanty) {
//            atalanatArea.append(vysledek);
//            atalanatArea.append("\n");
//        }
    }

    private class Brzda extends Thread {
//        @Override
//        public void run() {
//            try {
//                Brzda.sleep(1000);
//                 //spustButton.setEnabled(true);
//            } catch (InterruptedException ex) {
//                Logger.getLogger(SablonaGUIalg.class.getName()).log(Level.SEVERE, null, ex);
//            }
//        }
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTextArea atalanatArea;
    protected static javax.swing.JTextField benchSouborField;
    private javax.swing.JLabel benchSouborLabel;
    protected static javax.swing.JTextField cyklyVektoryField;
    private javax.swing.JLabel cyklyVektoryLabel;
    private javax.swing.JPanel dalsiParametryPanel;
    protected static javax.swing.JTextField detekPoruchField;
    private javax.swing.JLabel detekPoruchLabel;
    public static javax.swing.JButton generujButton;
    private javax.swing.JButton generujPolynomButton;
    private javax.swing.JButton generujSeedButton;
    private javax.swing.JScrollPane jScrollPane1;
    protected static javax.swing.JTextField oznaceniObvoduField;
    private javax.swing.JLabel oznaceniObvoduLabel;
    private javax.swing.JLabel pocetVektoruCykluLabel;
    protected static javax.swing.JTextField pocetVektoruField;
    protected static javax.swing.JTextField polynomField;
    private javax.swing.JLabel polynomLabel;
    private javax.swing.JButton reloadButton;
    private javax.swing.JPanel sablonaPanel;
    protected static javax.swing.JTextField seedField;
    private javax.swing.JLabel seedLabel;
    protected static javax.swing.JTextField souborNedetPoruchyField;
    private javax.swing.JLabel souborNedetPoruchyLabel;
    private javax.swing.JLabel souborTestSekvLabel;
    private javax.swing.JButton spustButton;
    private javax.swing.JCheckBox spustitAtalantuCheckBox;
    private javax.swing.JLabel spustitAtalantuLabel;
    protected static javax.swing.JTextField vystupSouborField;
    // End of variables declaration//GEN-END:variables
}
